> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Integration's Accounts



## OpenAPI

````yaml get /v3/integrations/{integration_uid}/accounts
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/integrations/{integration_uid}/accounts:
    get:
      tags:
        - Integrations
      summary: List all Integration's Accounts
      operationId: v3_list_integration_accounts
      parameters:
        - required: true
          schema:
            title: Integration UID
            type: string
          name: integration_uid
          description: >-
            The integration's slug, for example 'linkedin' to fetch accounts
            from.
          in: path
        - required: false
          schema:
            title: Page
            type: integer
          name: page
          description: Defaults to 0. Increase this value to enable the pagination system.
          in: query
        - required: false
          schema:
            title: Stats
            type: string
          name: stats
          description: >-
            If set to 'true', it will return the limits (as an array) and the
            consumption for each limit. Defaults to 'true'. We recommend setting
            this to 'false' as it takes longer to compute.
          in: query
        - required: false
          schema:
            title: Is Valid
            type: string
          name: is_valid
          description: >-
            If set to 'true', it will only return valid accounts, i.e., accounts
            with valid cookies, API keys, etc.
          in: query
        - required: false
          schema:
            title: Limit
            type: integer
          description: >-
            Limit the number of accounts returned (default is 10). We recommend
            not setting a higher value, as it may take longer to process.
          name: limit
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationsList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    IntegrationsList:
      type: object
      properties:
        integration:
          $ref: '#/components/schemas/Integration'
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/Account'
          description: List of accounts associated with the integration.
        next_page_exist:
          type: boolean
          example: true
          description: Whether there is a next page available.
        number_total_acounts:
          type: integer
          example: 11
          description: Total number of accounts.
      required:
        - integration
        - accounts
        - next_page_exist
        - number_total_acounts
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
    Integration:
      type: object
      properties:
        uid:
          type: string
          example: xxxxxxxx
          description: Unique identifier for the integration.
        title:
          type: string
          example: LinkedIn
          description: The title of the integration.
      required:
        - uid
        - title
    Account:
      type: object
      properties:
        setup_at:
          type: string
          format: date-time
          example: '2024-11-26T15:12:17.652585'
          description: Timestamp of when the account was set up.
        name:
          type: string
          example: User Name
          description: Name associated with the account.
        cookies:
          $ref: '#/components/schemas/Cookies'
        via_extension:
          type: boolean
          example: true
          description: Whether the account was set up via extension.
        is_shared:
          type: boolean
          example: false
          description: Whether the account is shared.
        level:
          type: string
          example: Sales Navigator
          description: Account subscription level.
        is_valid:
          type: boolean
          example: true
          description: Whether the account is valid.
        uid:
          type: string
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: Unique identifier for the account.
        application_permalink:
          type: string
          example: linkedin
          description: Permalink for the integration associated with the account.
        application_name:
          type: string
          example: LinkedIn
          description: Name of the integration associated with the account.
        limits:
          type: array
          items:
            $ref: '#/components/schemas/Limit'
          description: List of limits for the account.
      required:
        - setup_at
        - name
        - cookies
        - is_valid
        - uid
        - application_permalink
        - application_name
    Cookies:
      type: object
      properties:
        JSESSIONID:
          type: string
          example: Session ID cookie for LinkedIn
          description: Session ID for the integration.
        li_at:
          type: string
          example: li_at cookie for LinkedIn
          description: Access token for the integration.
        li_a:
          type: string
          example: li_a cookie for Sales Navigator
          description: Additional access token information.
    Limit:
      type: object
      properties:
        permalink:
          type: string
          example: lk-classic-connection-requests
          description: Permalink identifier for the limit.
        level:
          type: string
          nullable: true
          example: Classic
          description: The level associated with the limit.
        item_scraped:
          type: integer
          example: 0
          description: Number of items scraped so far.
        limit_value:
          type: integer
          example: 25
          description: Maximum value for the limit.
        limit_name:
          type: string
          example: connection requests
          description: Name of the limit.
        start_time_range:
          type: string
          format: date-time
          example: '2024-11-25T15:29:36'
          description: Start time of the limit range.
        end_time_range:
          type: string
          format: date-time
          example: '2024-11-26T15:29:36'
          description: End time of the limit range.
        templates:
          type: array
          items:
            type: string
            example: xxxxx-xxxx-xxxx-a7f2-f571d8ff2f2d
          description: List of template UIDs associated with the limit.
        nbr_inputs_queued_next_seven_days:
          type: integer
          example: 0
          description: Number of inputs queued for the next seven days.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````